// simple vertex shader
uniform highp vec2 windowSize;
attribute highp vec2 inVertex;
attribute mediump vec2 inTexCoord;
attribute lowp vec4 inMultColor;
attribute lowp vec4 inColorOffset;

varying mediump vec2 texCoord;
varying lowp vec4 multColor;
varying lowp vec4 colorOffset;

void main()
{
	highp float x = inVertex.x * 2.0 / windowSize.x - 1.0;
	highp float y = -inVertex.y * 2.0 / windowSize.y + sign(windowSize.y);
	gl_Position    = vec4(x,y,0.0,1.0);
	texCoord = inTexCoord;
	multColor = inMultColor;
	colorOffset = inColorOffset;
}
